<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that
 * other 'pages' on your WordPress site will use a different template.
 *
 * @package Engotheme
 * @subpackage Happychild
 * @since Happychild 1.0
 */
/*
*Template Name: 404 Page
*/

get_header( apply_filters( 'happychild_fnc_get_header_layout', null ) ); ?>
<?php do_action( 'happychild_template_main_before' ); ?>

<section id="main-container" class="notfound-page">
	<div class="<?php echo apply_filters('happychild_template_main_container_class','container');?> inner clearfix ">
		<div class="row">
			<div id="main-content" class="main-content col-lg-12">
				<div id="primary" class="content-area">
					<div id="content" class="site-content" role="main">
						<h1 class="title"><?php esc_html_e( '404', 'happychild' ); ?></h1>
						<div class="sub"><?php esc_html_e( 'THIS IS NOT THE WEB PAGE YOU ARE LOOKING FOR', 'happychild' ); ?></div>
						<div class="error-description">
							<p><?php esc_html_e( 'Please try one of the following pages', 'happychild' ); ?>
								<a class="btn btn-default" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e('Home page', 'happychild'); ?></a>
							</p>
						</div>
						<div class="error-search">
							<?php get_search_form(); ?>
						</div>

				</div><!-- #content -->
				</div><!-- #primary -->
				<?php get_sidebar( 'content' ); ?>
			</div><!-- #main-content -->

			 
			<?php get_sidebar(); ?>
		 
		</div>	
	</div>
</section>
<?php

get_footer();

 