<?php
/**
 * The template for displaying posts in the Image post format
 *
 * @package Engotheme
 * @subpackage Betterlife
 * @since Betterlife 1.0
 */
?>
<div class="posts-wrapper clearfix">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>					
	 	<div class="post-preview">
			<?php happychild_fnc_post_thumbnail(); ?>
			<span class="post-format">
				<a class="entry-format" href="<?php echo esc_url( get_post_format_link( 'image' ) ); ?>"><i class="fa fa-picture-o"></i></a>
			</span>
		</div>
		<div class="entry-content">
			<header class="entry-header">
				<div class="entry-meta">
					
		            <div class="entry-category pull-left">
		                <?php the_category(); ?>
		            </div>
		            <span class="meta-sep"></span>
					<span class="entry-date">
		                <span><?php the_time( 'd M Y' ); ?></span>
		            </span>
		            <span class="meta-sep"></span>
		            <span class="author"><?php esc_html_e('by', 'happychild'); the_author_posts_link(); ?></span>
					<?php if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) : ?>
					<span class="meta-sep"></span>
					<span class="comments-link"><?php comments_popup_link( esc_html__( '0 comment', 'happychild' ), esc_html__( '1 Comment', 'happychild' ), esc_html__( '% Comments', 'happychild' ) ); ?></span>
					<?php endif; ?>

					<?php edit_post_link( esc_html__( 'Edit', 'happychild' ), '<span class="edit-link">', '</span>' ); ?>
				</div><!-- .entry-meta -->
				<?php
					the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
				?>
			</header><!-- .entry-header -->
			<div class="entry-excerpt"><?php echo substr(get_the_excerpt(), 0,250);?></div>
				<div class="readmore">
                	<a href="<?php the_permalink(); ?>" title="<?php esc_html_e( 'Read More', 'happychild' ); ?>"><?php esc_html_e( 'Read More', 'happychild' ); ?></a>
               </div>
			
		</div><!-- .entry-content -->
	</article><!-- #post-## -->
</div>
