<?php
/**
 * The Header for our theme: Main Darker Background. Logo left + Main menu and Right sidebar. Below Category Search + Mini Shopping basket.
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package Engotheme
 * @subpackage Happychild
 * @since Happychild 1.0
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site"><div class="engo-page-inner row-offcanvas row-offcanvas-left">
	<?php if ( get_header_image() ) : ?>
	<div id="site-header" class="hidden-xs hidden-sm">
		<a href="<?php echo esc_url( get_option('header_image_link','#') ); ?>" rel="home">
			<img src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
		</a>
	</div>
	<?php endif; ?>
	<header id="engo-masthead" class="site-header header-v1" role="banner">
	<?php get_template_part( 'page-templates/parts/topbar', 'mobile' ); ?>
		<div class="header-main hidden-sm hidden-xs">
			<div class="container">
				<div class="header-inner">
					<div class="row">
						<div class="col-lg-4 col-md-4 ">
							<div class="user-list list-style clearfix">
                                <?php do_action('opal-account-buttons'); ?>
				            </div>
				            <?php if ( is_active_sidebar( 'hotline' ) ) : ?>
								<div class="hotline">
									<?php dynamic_sidebar('hotline'); ?>
								</div>
							<?php endif; ?>
						</div>
						<div class="logo-wrapper text-center col-lg-4 col-md-4 col-sm-12 col-xs-12">
							<?php get_template_part( 'page-templates/parts/logo' ); ?>
						</div>
						<div class="col-lg-4 col-md-4 hidden-sm hidden-xs">			
							
							<div id="search-container" class="search-box ">
				                <?php get_search_form(); ?>
				            </div>
						</div>
					</div>
				</div>				
			</div>
		</div>

		<section id="engo-mainmenu" class="engo-mainmenu hidden-xs hidden-sm">
			<div class="container">		
				<div class="navbar-mega-light clearfix">
					<div class="navbar-mega-inner clearfix">
						<?php if ( is_active_sidebar( 'vertialmenu' ) ) : ?>
							<div class="vertialmenu-header pull-left dropdown">
			                        <span class="title dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" role="link"><?php esc_html_e('All Category', 'happychild');?><i class="fa fa-angle-down"></i></span>
				                    <div class="dropdown-menu">
			                            <?php dynamic_sidebar('vertialmenu'); ?>
			                        </div>
								
							</div>
						<?php endif; ?>
						<div class="pull-left">
							<?php get_template_part( 'page-templates/parts/nav' ); ?>
						</div>
						<div class="pull-right">
	                        <?php do_action( "happychild_template_header_right" ); ?>
	                    </div>
					</div>
				</div>
			</div>		
		</section>		
	</header><!-- #masthead -->	

	<?php do_action( 'happychild_template_header_after' ); ?>
	
	<section id="main" class="site-main">
