<?php
/**
 * The Header for our theme: Main Darker Background. Logo left + Main menu and Right sidebar. Below Category Search + Mini Shopping basket.
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package Engotheme
 * @subpackage Happychild
 * @since Happychild 1.0
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site"><div class="engo-page-inner row-offcanvas row-offcanvas-left">
	<?php if ( get_header_image() ) : ?>
	<div id="site-header" class="hidden-xs hidden-sm">
		<a href="<?php echo esc_url( get_option('header_image_link','#') ); ?>" rel="home">
			<img src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
		</a>
	</div>
	<?php endif; ?>

    <div class="modal fade bs-search-modal-lg" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <!-- <div class="modal-header"> -->
              <button aria-label="Close" data-dismiss="modal" class="close pull-right" type="button"><span aria-hidden="true" class="fa fa-close"></span></button>
              <!-- <h4 id="gridSystemModalLabel" class="modal-title text-left"><?php echo esc_html__('Search','happychild')?></h4> -->
           <!--  </div> -->
            <div class="modal-body">
              <?php get_search_form(); ?>
            </div>
        </div>
      </div>
    </div> 
	<header id="engo-masthead" class="site-header header-v2" role="banner">
		<?php get_template_part( 'page-templates/parts/topbar', 'mobile' ); ?>
		<div class="header-main hidden-xs hidden-sm">
				<div class="header-inner clearfix">
					<div class="logo-wrapper">
			 			<?php get_template_part( 'page-templates/parts/logo' ); ?>
			 		</div>
					<div class="engo-header-right pull-right hidden-xs hidden-sm">
			 		
						<div class="pull-right">
	                        <?php do_action( "happychild_template_header_right" ); ?>
	                    </div>
	                    <?php if ( has_action( 'engo-account-buttons' ) ) : ?>
	                    <div class="pull-right box-user dropdown">
	                        <span class="dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" role="link"><i class="icon-setting"></i></span>
		                    <ul>
                                <?php do_action('opal-account-buttons'); ?>
	                        </ul>
						</div>
	                    <?php endif; ?>
	                    <div class="pull-right border-space">
	                        <span></span>
	                    </div>
	                    <div id="search-container" class="search-box-wrapper pull-right">
		                    <div class="pbr-dropdow-search dropdown">
		                         <a data-target=".bs-search-modal-lg" data-toggle="modal" class="search-focus dropdown-toggle dropdown-toggle-overlay">
		                        	<span class="wpo-search icon-search"></span>
		                        </a>
	                        </div> 
	                    </div>

	                    <!-- <div id="search-container" class="search-box-wrapper">
						<div class="pbr-dropdow-search dropdown">
						  	<a data-target=".bs-search-modal-lg" data-toggle="modal" class="search-focus btn dropdown-toggle text-black dropdown-toggle-overlay"> 
				                <i class="fa fa-search"></i>     
				            </a>    
						</div>
					</div> -->
					</div>
	                    <div id="engo-mainmenu" class="engo-mainmenu pull-right  hidden-xs hidden-sm">
							<div class="navbar-mega ">
								<?php get_template_part( 'page-templates/parts/nav' ); ?>
							</div>	
						</div>
				</div>
		</div>
	</header><!-- #masthead -->	

	<?php do_action( 'happychild_template_header_after' ); ?>
	
	<section id="main" class="site-main">
