<?php 
/**
 * Remove javascript and css files not use
 */
if( is_admin() ){
	function happychild_setup_admin_setting(){

		global $pagenow; 
		if ( is_admin() && isset($_GET['activated'] ) && $pagenow == 'themes.php' ) {
			/**
			 *
			 */
			$pts = array('footer', 'megamenu','team', 'tesimonials','portfolio');

			$options = array();	

			foreach( $pts as $key ){
				$options['enable_'.$key] = 'on'; 
			}
		
			update_option( 'wpopal_themer_posttype', $options );

			do_action( 'happychild_setup_theme_actived' );
		}
	}
	add_action( 'init', 'happychild_setup_admin_setting'  );
}

/**
 * Hoo to top bar layout
 */
function happychild_fnc_topbar_layout(){
	$layout = happychild_fnc_get_header_layout();
	get_template_part( 'page-templates/parts/topbar', $layout );
	get_template_part( 'page-templates/parts/topbar', 'mobile' );
}

add_action( 'happychild_template_header_before', 'happychild_fnc_topbar_layout' );

/**
 * Hook to select header layout for archive layout
 */
function happychild_fnc_get_header_layout( $layout='' ){
	global $post; 

	$layout = $post && get_post_meta( $post->ID, 'happychild_header_layout', 1 ) ? get_post_meta( $post->ID, 'happychild_header_layout', 1 ) : happychild_fnc_theme_options( 'headerlayout' );
	 
 	if( $layout ){
 		return trim( $layout );
 	}elseif ( $layout = happychild_fnc_theme_options('header_skin','') ){
 		return trim( $layout );
 	}

	return $layout;
} 

add_filter( 'happychild_fnc_get_header_layout', 'happychild_fnc_get_header_layout' );

/**
 * Hook to select header layout for archive layout
 */
function happychild_fnc_get_footer_profile( $profile='default' ){

	global $post; 

	$profile =  $post? get_post_meta( $post->ID, 'happychild_footer_profile', 1 ):null ;

 	if ( $profile && $profile != 'global' ) {
 		return trim( $profile );
 	} elseif ( $profile = happychild_fnc_theme_options('footer-style', $profile ) ) {
 		return trim( $profile );
 	}

	return $profile;
} 

add_filter( 'happychild_fnc_get_footer_profile', 'happychild_fnc_get_footer_profile' );

/**
 * Hook to show breadscrumbs
 */
function happychild_fnc_render_breadcrumbs(){
	
	global $post;

	if( is_object($post) ){
		$disable = get_post_meta( $post->ID, 'happychild_disable_breadscrumb', 1 );  
		if(  $disable && !is_search() || is_front_page() ){
			return true; 
		}
		$bgimage = get_post_meta( $post->ID, 'happychild_image_breadscrumb', 1 );  
		$color 	 = get_post_meta( $post->ID, 'happychild_color_breadscrumb', 1 );  
		$bgcolor = get_post_meta( $post->ID, 'happychild_bgcolor_breadscrumb', 1 );  
		$style = array();

		if( $bgcolor  ){
			$style[] = 'background-color:'.$bgcolor;
		}

		if( $bgimage  ){ 
			$style[] = 'background-image:url(\''.wp_get_attachment_url($bgimage).'\')';
		}else{
			$bgimage = happychild_fnc_theme_options( 'breadcrumb-bg' );
			$style[] =  $bgimage  ? 'background-image:url(\''.$bgimage.'\')' : "";
		}

		if( $color  ){ 
			$style[] = 'color:'.$color;
		}

		$estyle = !empty($style)? 'style="'.implode(";", $style).'"':"";
	} else {

		$bgimage = happychild_fnc_theme_options( 'breadcrumb-bg' );
		if( !empty($bgimage)  ){ 
			$style[] = 'background-image:url(\''.$bgimage.'\')';
		}
		$estyle = !empty($style)? 'style="'.implode(";", $style).'"':"";
	}
	
	echo '<section id="engo-breadscrumb" class="engo-breadscrumb" '.sprintf( '%s', $estyle ).'><div class="container">';
			happychild_fnc_breadcrumbs();
	echo '</div></section>';

}

add_action( 'happychild_template_main_before', 'happychild_fnc_render_breadcrumbs' ); 

 
/**
 * Main Container
 */

function happychild_template_main_container_class( $class ){
	global $post; 
	global $happychild_wpopconfig;

	$layoutcls = get_post_meta( $post->ID, 'happychild_enable_fullwidth_layout', 1 );
	
	if( $layoutcls ) {
		$happychild_wpopconfig['layout'] = 'fullwidth';
		return 'container-fluid';
	}
	return $class;
}
add_filter( 'happychild_template_main_container_class', 'happychild_template_main_container_class', 1 , 1  );
add_filter( 'happychild_template_main_content_class', 'happychild_template_main_container_class', 1 , 1  );



/**
 * Get Configuration for Page Layout
 *
 */
//-- Setting Page Layout Single Team 
function happychild_fnc_get_single_team_sidebar_configs( $configs='' ){
	global $post; 
	$left  =  get_post_meta( $post->ID, 'happychild_leftsidebar', 1 );
	$right =  get_post_meta( $post->ID, 'happychild_rightsidebar', 1 );
	if ( empty( $left ) ) {
		$left  =  happychild_fnc_theme_options( 'team-single-left-sidebar' ); 
	}
	if ( empty( $right ) ) {
		$right =  happychild_fnc_theme_options( 'team-single-right-sidebar' ); 
	}
	return happychild_fnc_get_layout_configs( $left, $right );
}

add_filter( 'happychild_fnc_get_single_team_sidebar_configs', 'happychild_fnc_get_single_team_sidebar_configs', 1, 1 );
//-- End Setting Page Layout Single Team 
function happychild_fnc_get_page_sidebar_configs( $configs='' ){

	global $post; 

	if( isset($post->ID) ) {
	$left  =  get_post_meta( $post->ID, 'happychild_leftsidebar', 1 );
	$right =  get_post_meta( $post->ID, 'happychild_rightsidebar', 1 );

	return happychild_fnc_get_layout_configs( $left, $right );
}
}
add_filter( 'happychild_fnc_get_page_sidebar_configs', 'happychild_fnc_get_page_sidebar_configs', 1, 1 );


function happychild_fnc_get_single_sidebar_configs( $configs='' ){

	global $post; 

	$left  =  get_post_meta( $post->ID, 'happychild_leftsidebar', 1 );
	$right =  get_post_meta( $post->ID, 'happychild_rightsidebar', 1 );

	if ( empty( $left ) ) {
		$left  =  happychild_fnc_theme_options( 'blog-single-left-sidebar' ); 
	}

	if ( empty( $right ) ) {
		$right =  happychild_fnc_theme_options( 'blog-single-right-sidebar' ); 
	}

	return happychild_fnc_get_layout_configs( $left, $right );
}

add_filter( 'happychild_fnc_get_single_sidebar_configs', 'happychild_fnc_get_single_sidebar_configs', 1, 1 );

function happychild_fnc_get_archive_sidebar_configs( $configs='' ){

	global $post; 


	$left  =  happychild_fnc_theme_options( 'blog-archive-left-sidebar' ); 
	$right =  happychild_fnc_theme_options( 'blog-archive-right-sidebar' ); 
 
	return happychild_fnc_get_layout_configs( $left, $right );
}

add_filter( 'happychild_fnc_get_archive_sidebar_configs', 'happychild_fnc_get_archive_sidebar_configs', 1, 1 );
add_filter( 'happychild_fnc_get_category_sidebar_configs', 'happychild_fnc_get_archive_sidebar_configs', 1, 1 );

/**
 *
 */
function happychild_fnc_get_layout_configs( $left, $right ){
	$configs = array();
	$configs['main'] = array( 'class' => 'col-lg-9 col-md-9 col-sm-12 col-xs-12' );

	$configs['sidebars'] = array( 
		'left'  => array( 'sidebar' => $left, 'active' => is_active_sidebar( $left ), 'class' => 'col-lg-3 col-md-3 col-sm-12 col-xs-12'  ),
		'right' => array( 'sidebar' => $right, 'active' => is_active_sidebar( $right ), 'class' => 'col-lg-3 col-md-3 col-sm-12 col-xs-12' ) 
	); 

	if( $left && $right ){
		$configs['main'] = array( 'class' => 'col-lg-6 col-md-6 col-xs-12' );
	} elseif( empty($left) && empty($right) ){
		$configs['main'] = array( 'class' => 'col-lg-12 col-md-12 col-sm-12 col-xs-12' );
	}
	return $configs; 
}


function happychild_fnc_sidebars_others_configs(){
	
	global $happychild_page_layouts;
	
	return $happychild_page_layouts; 
}

add_filter("happychild_fnc_sidebars_others_configs", "happychild_fnc_sidebars_others_configs");