<?php
	add_action('init', 'happychild_element_kingcomposer_map', 99 );

	function happychild_element_kingcomposer_map(){
		global $kc;

		$category_by_options = array();
		$terms = get_terms( 'category_teachers' );
		if ( $terms && is_wp_error($terms) ) {
			foreach ( $terms as $term ) {
				$category_by_options[esc_attr( $term->slug )] = esc_html( $term->name );
			}
		}
		
		$product_categories_select = array( 'none'=> esc_html__('None', 'happychild') );
		
		

		$maps = array();

		//--
		$maps['element_list_videos'] =array(
			"name" 		=> esc_html__("List Videos", "happychild"),
			'icon' 		=> 'sl-paper-plane',
			'description' =>'Portfolio',
			"category" 	=> esc_html__('Elements', "happychild"),
			"params" => array(
			array(
				"type"  => "textfield",
				"label" => esc_html__("Title", 'happychild'),
				"name"  => "title",
				"value" => '',
				"admin_label" => true
			),
			array(
				'name' => 'items',
				'label' => esc_html__( 'Items Limit', 'happychild' ),
				'type' => 'number_slider',
				'value' => '5',
				'admin_label' => 'true',
				'options' => array(
					'min' => 1,
					'max' => 16,
					'unit' => '',
					'show_input' => false
				),
				"admin_label" => true,
				'description' => esc_html__('Specify number of post that you want to show. Enter -1 to get all team', 'happychild'),
			),

			array(
				'name' => 'columns',
				'label' => esc_html__( 'Grid Column' ,'happychild' ),
				'type' => 'number_slider',
				'admin_label' => 'true',
				'options' => array(
					'min' => 1,
					'max' => 6,
					'unit' => '',
					'show_input' => true
				),
				"admin_label" => true,
				'description' => 'Display number of post'
			), 

			array(
				'type'        => 'checkbox',
				'label' 	  => esc_html__( 'Enable Pagination', 'happychild' ),
				'name'        => 'pagination',
				'options'     => array(
					'yes' => esc_html__('Yes, Please!', 'happychild'),
				)
			),

			
		)); 

		$maps['element_posttype_our_team'] =  array(
			"name" => esc_html__("Team Grid (From Team Source)", 'happychild'),
			'icon' => 'sl-paper-plane',
			"class" => "",
			"description" => 'Get data from post type Team',
			"category" => esc_html__('Elements', 'happychild'),
			"params" => array(
				array(
					"type" => "textfield",
					"label" => esc_html__("Title", 'happychild'),
					"name" => "title",
					"value" => '',
					"admin_label" => true
				),

				array(
					'type'          => 'select',
					'label'         => esc_html__( 'Choose Category', 'happychild' ),
					'name'          => 'category',
					'options'       => $category_by_options,
					'description'   => esc_html__( 'Select category and show list teams.', 'happychild' ),
				),
				
				array(
					'name' => 'items',
					'label' => esc_html__( 'Items Limit', 'happychild' ),
					'type' => 'number_slider',
					'value' => '5',
					'options' => array(
						'min' => 1,
						'max' => 16,
						'unit' => '',
						'show_input' => false
					),
					"admin_label" => true,
					'description' => esc_html__('Specify number of post that you want to show. Enter -1 to get all team', 'happychild'),
				),
				array(
					'name' => 'columns',
					'label' => esc_html__( 'Grid Column' ,'happychild' ),
					'type' => 'number_slider',
					'options' => array(
						'min' => 1,
						'max' => 6,
						'unit' => '',
						'show_input' => true
					),
					"admin_label" => true,
					'description' => 'Display number of post'
				),   
				array(
					"type" => "textfield",
					"label" => esc_html__("Extra class name", 'happychild'),
					"name" => "el_class",
					"description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'happychild')
				),

				array(
					"type"        => "select",
					"label"       => esc_html__("Style", 'happychild'),
					"name"        => "style",
					"options"     => array(
						'default' => 'default' , 
						'style'   => 'style', 
					),
					"admin_label" => true,
					"description" => esc_html__("Select style layout.", 'happychild')
                ),
				array(
					'type'        => 'checkbox',
					'label'       => esc_html__( 'Show View All', 'happychild' ),
					'name'        => 'show_viewall',
					'description' => esc_html__( 'Show Link View All.', 'happychild' ),
					'options'     => array(
						'yes' => esc_html__('Yes, Please!', 'happychild'),
					)
				),
			)
		);
		// element-stories
 		$maps['element_stories'] =  array(
				"name"        => esc_html__("List Stories", 'happychild'),
				"class"       => "",
				"description" => 'Show The List Stories',
				"category"    => esc_html__('Elements', 'happychild'),
				"icon"        => 'cpicon sl-paper-plane',
				"params"      => array(
				array(
						"type"        => "textfield",
						"label"       => esc_html__("Title", 'happychild'),
						"name"        => "title",
						"value"       => '',
						"admin_label" => true
				),
				array(
					"type"        => "textfield",
					"label"       => esc_html__("Wrapper class", 'happychild'),
					"name"        => "wrap_class",
					"value"       => '',
					"admin_label" => true
				),
				array(
					'type'			=> 'group',
					'label'			=> esc_html__('Options', 'happychild'),
					'name'			=> 'options',
					'description'	=> esc_html__( 'Repeat this fields with each item created, Each item corresponding element.', 'happychild' ),
					'options'		=> array('add_text' => esc_html__('Add new item', 'happychild')),
					
					'params' => array(
						array(
							"type"        => "textfield",
							"label"       => esc_html__("Title", 'happychild'),
							"name"        => "sub_title",
							"value"       => '',
							"admin_label" => true
						),
						array(
							"type"        => "textarea",
							"label"       => esc_html__("Description", 'happychild'),
							"name"        => "description",
							"value"       => '',
							"admin_label" => true
						),
							
						array(
							'type' => 'attach_image',
							'label' => esc_html__( 'Image', 'happychild' ),
							'name' => 'image',
						),
						
						array(
							"type"        => "textfield",
							"label"       => esc_html__("Link", 'happychild'),
							"name"        => "link",
							"value"       => '',
							"admin_label" => true
						),
					),
				),
				
				array(
					'name' => 'show_link',
					'label' => 'Show Link?',
					'type' => 'checkbox',
					'description' => esc_html__('Show link read more.', 'happychild'),
					'options' => array(
						'yes' => 'Yes, Please!'
					),
				),

			  )
		);

		// element-help
 		$maps['element_helps'] =  array(
				"name"        => esc_html__("List Banner", 'happychild'),
				"class"       => "",
				"description" => 'Show The List Banner',
				"category"    => esc_html__('Elements', 'happychild'),
				"icon"        => 'cpicon sl-paper-plane',
				"params"      => array(
				array(
					"type"        => "textfield",
					"label"       => esc_html__("Wrapper class", 'happychild'),
					"name"        => "wrap_class",
					"value"       => '',
					"admin_label" => true
				),
				array(
					'type'			=> 'group',
					'label'			=> esc_html__('Options', 'happychild'),
					'name'			=> 'options',
					'description'	=> esc_html__( 'Repeat this fields with each item created, Each item corresponding element.', 'happychild' ),
					'options'		=> array('add_text' => esc_html__('Add new item', 'happychild')),
					
					'params' => array(
						array(
							"type"        => "textfield",
							"label"       => esc_html__("Title", 'happychild'),
							"name"        => "title",
							"value"       => '',
							"admin_label" => true
						),
						array(
							"type"        => "textfield",
							"label"       => esc_html__("Sub Title", 'happychild'),
							"name"        => "sub_title",
							"value"       => '',
							"admin_label" => true
						),
						array(
							"type"        => "textarea",
							"label"       => esc_html__("Description", 'happychild'),
							"name"        => "description",
							"value"       => '',
							"admin_label" => true
						),
						array(
							"type"        => "textfield",
							"label"       => esc_html__("Link", 'happychild'),
							"name"        => "link",
							"value"       => '',
							"admin_label" => true
						),
							
						array(
							'type' => 'attach_image',
							'label' => esc_html__( 'Image', 'happychild' ),
							'name' => 'image',
						),
						array(
							"type"        => "select",
							"label"       => esc_html__("Style", 'happychild'),
							"name"        => "style",
							"options"     => array(
								'default' => 'default', 
								'left'    => 'left', 
								'right'   => 'right',
							),
							"admin_label" => true,
							"description" => esc_html__("Select style layout.", 'happychild')
		                ),
		                 

		                array(
		                  "type"        => "select",
		                  "label"       => esc_html__("Skins", 'happychild'),
		                  "name"        => "skins",
		                  "options"     => array(
		                  	'default' => 'default' , 
		                  	'light'   => 'light', 
		                  ),
		                  "admin_label" => true,
		                  "description" => esc_html__("Select skin layout.", 'happychild')
		                ),
					),
				),
				 array(
                    'name' => 'columns',
                    'label' => esc_html__( 'Column' ,'happychild' ),
                    'type' => 'number_slider',
                    'options' => array(
                        'min' => 1,
                        'max' => 6,
                        'unit' => '',
                        'show_input' => true
                    ),
                    "admin_label" => true,
                    'description' => 'Display number of post'
                ),
				
				array(
					'name' => 'show_link',
					'label' => 'Show Link?',
					'type' => 'checkbox',
					'description' => esc_html__('Show link read more.', 'happychild'),
					'options' => array(
						'yes' => 'Yes, Please!'
					),
				),

			  )
		);

		// Testimonials
		$maps['element_testimonials'] = array(
                "name" => esc_html__("Testimonials", 'happychild'),
                'icon' => 'sl-paper-plane',
                'description'=> esc_html__('Play Testimonials In Carousel', 'happychild'),
                "class" => "",
                "category" => esc_html__('Elements', 'happychild'),
                "params" => array(
                  array(
                  "type" => "textfield",
                  "label" => esc_html__("Title", 'happychild'),
                  "name" => "title",
                  "admin_label" => true,
                  "value" => '',
                    "admin_label" => true
                ),
                array(
					'name' => 'items',
					'label' => esc_html__( 'Items Limit', 'happychild' ),
					'type' => 'number_slider',
					'value' => '5',
					'options' => array(
						'min' => 1,
						'max' => 16,
						'unit' => '',
						'show_input' => true
					),
					"admin_label" => true,
					'description' => esc_html__('Specify number of post that you want to show. Enter -1 to get all team', 'happychild'),
				),
                array(
                    'name' => 'columns',
                    'label' => esc_html__( 'Grid Column' ,'happychild' ),
                    'type' => 'number_slider',
                    'options' => array(
                        'min' => 1,
                        'max' => 6,
                        'unit' => '',
                        'show_input' => true
                    ),
                    "admin_label" => true,
                    'description' => 'Display number of post'
                ), 
                array(
                  "type" => "select",
                  "label" => esc_html__("Skin", 'happychild'),
                  "name" => "skin",
                  "options" => array('left' => 'Version Style left', 'v1' => 'Version Style 1' , 'v2' => 'Version Style 2', 'v3'=> 'Version Style 3'),
                  "admin_label" => true,
                  "description" => esc_html__("Select Skin layout.", 'happychild')
                ),
                array(
                  "type"        => "select",
                  "label"       => esc_html__("Style", 'happychild'),
                  "name"        => "style",
                  "options"     => array(
                  	'default' => 'default' , 
                  	'light'   => 'light', 
                  ),
                  "admin_label" => true,
                  "description" => esc_html__("Select style layout.", 'happychild')
                ),
                array(
	                  "type" => "textfield",
	                  "label" => esc_html__("Extra class name", 'happychild'),
	                  "name" => "el_class",
	                  "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'happychild')
	                )
                )
        );
	

		// Featured Box
		$maps['element_featured_box'] =  array(
			'name' => esc_html__( 'Featured Box', 'happychild' ),
			'title' => 'Featured Box',
			'icon' => 'kc-icon-icon',
			'category' => 'Elements',
			'wrapper_class' => 'clearfix',
			'description' => esc_html__( 'Featured box.', 'happychild' ),
			'params' => array(
				array(
					'name' => 'show_image',
					'label' => 'Show Image ?',
					'type' => 'checkbox',
					'value' => 'no',
					'options' => array(
						'yes' => esc_html__('Yes, Please!', 'happychild')
					),
					'description' => esc_html__('If you want more flexible options to display Image instead of icon', 'happychild')
				),
				array(
					'name' => 'featured_image',
					'label' => 'Image',
					'type' => 'attach_image',
					'value' => '',
					'relation' => array(
						'parent' => 'show_image',
						'show_when' => 'yes'
					),
				),

			    array(
					'name'	      => 'icon',
					'label'	      => 'Select Icon',
					'type'	      => 'icon_picker',
					'admin_label' => true,
				),

				array(
					'name'	      => 'icon_size',
					'label'	      => 'Icon Size',
					'type'	      => 'text',
					'admin_label' => true,
					'description' => esc_html__('Enter the font-size of the icon such as: 15px, 1em, etc.', 'happychild')
				),
				array(
					'name'	      => 'icon_color',
					'label'	      => 'Icon Color',
					'type'	      => 'color_picker',
					'admin_label' => true,
					'description' => esc_html__('Color of the icon.', 'happychild')
				),

				array(
					'name'	      => 'title',
					'label'	      => esc_html__('Title', 'happychild'),
					'type'	      => 'text',
					'admin_label' => true,
					'description' => esc_html__('', 'happychild')
				),
				array(
					'name'	      => 'title_color',
					'label'	      => esc_html__('Title Color', 'happychild'),
					'type'	      => 'color_picker',
					'admin_label' => true,
					'description' => esc_html__('Color of the Title.', 'happychild')
				),


				array(
					'name'	      => 'subtitle',
					'label'	      => esc_html__('Sub Title', 'happychild'),
					'type'	      => 'text',
					'admin_label' => true,
					'description' => esc_html__('', 'happychild')
				),
				array(
					'name'	      => 'sub_color',
					'label'	      => 'Sub-Title Color',
					'type'	      => 'color_picker',
					'admin_label' => true,
					'description' => esc_html__('Sub-Title Color.', 'happychild')
				),

				array(
					'name'	  => 'box_style',
					'label'   => esc_html__('Style', 'happychild'), 
					'type'	  => 'select',
					'options' => array(
						'nostyle'    => esc_html__('None', 'happychild'),
						'v1' => esc_html__('Version 1', 'happychild'),
						'v2' => esc_html__('Version 2', 'happychild'),
						'v3' => esc_html__('Version 3', 'happychild'),
						'v4' => esc_html__('Version 4', 'happychild'),
					)
				),

				array(
					'name'	      => 'info',
					'label'	      => esc_html__('Information', 'happychild'),
					'type'	      => 'textarea',
					'admin_label' => true,
					'description' => esc_html__('', 'happychild')
				),
				array(
					'name'	      => 'info_color',
					'label'	      => 'Information Color',
					'type'	      => 'color_picker',
					'admin_label' => true,
					'description' => esc_html__('Information Color.', 'happychild')
				),

				array(
					'name'	      => 'bg_color',
					'label'	      => 'Bg Color',
					'type'	      => 'color_picker',
					'admin_label' => true,
					'description' => esc_html__('Background Color.', 'happychild')
				),

				array(
					'name'	        => 'box_wrap_class',
					'label'	        => 'Wrapper class name',
					'type'	        => 'text',
					'description'   => esc_html__('Enter class name for wrapper', 'happychild'),
				),
             // end params
			)
		);

		$maps['woo_list_products'] =  array(
				'name' => 'List Products',
                'description' => esc_html__('Display Bestseller, Latest, Most Review ... in list', 'happychild'),
                'icon' => 'sl-paper-plane',
                'category' => 'Woocommerce',
                'params' => array(
                	array(
                        'name'    => 'title',
                        'label'   => 'Title',
                        'type'    => 'text',
                        'default' => '',
                    ),
                    array(
                        'name' => 'type',
                        'label' => 'Product Type',
                        'type' => 'select',
                        'admin_label' => true,
                        'options' => array(  // THIS FIELD REQUIRED THE PARAM OPTIONS
					        'recent_products'   	=> esc_html__('Recent Products', 'happychild' ),
					        'sale_products' 		=> esc_html__('Sale Products', 'happychild' ),
					        'featured_products' 	=> esc_html__('Featured Products', 'happychild' ),
					        'best_selling_products'	=> esc_html__('Best Selling Products', 'happychild' ),
					        'products'				=> esc_html__('Products', 'happychild' ),
					    )
                    ),
                    
                    array(
						'type'           => 'autocomplete',
						'label'          => esc_html__('Select Category', 'happychild' ),
						'name'           => 'woocategory',
						'description'    => esc_html__('Select Category to display', 'happychild' ),
						'admin_label'    => true,
						'options' => array( 'category_name' => 'product_cat' )
                    ),

                    array(
                        'name' => 'per_page',
                        'label' => 'Number post show',
                        'type' => 'number_slider',
                        'options' => array(
                            'min' => 1,
                            'max' => 24,
                            'unit' => '',
                            'show_input' => true
                        ),
                        'description' => 'Display number of post'
                    ),
                )
		);
		$kc->add_map(
	         array(
	            'woo_carousel_products' => array(
	                'name' => 'Carousel Products',
	                'description' => esc_html__('Display Bestseller, Latest, Most Review ... in grid', 'happychild'),
	                'icon' => 'sl-paper-plane',
	                'category' => 'Woocommerce',

	                'params' => array(
	                	array(
							"type"  => "textfield",
							"label" => esc_html__("Title", 'happychild'),
							"name"  => "title",
							"value" => '',
							"admin_label" => true
						),
	                    array(
	                        'name' => 'type',
	                        'label' => 'Product Type',
	                        'type' => 'select',
	                        'admin_label' => true,
                            'options' => array(  // THIS FIELD REQUIRED THE PARAM OPTIONS
						        'recent_products'   	=> esc_html__('Recent Products', 'happychild' ),
						        'sale_products' 		=> esc_html__('Sale Products', 'happychild' ),
						        'featured_products' 	=> esc_html__('Featured Products', 'happychild' ),
						        'best_selling_products'	=> esc_html__('Best Selling Products', 'happychild' ),
						        'products'				=> esc_html__('Products', 'happychild' ),
						    )
	                    ),
                        array(
							'type'           => 'multiple',
							'label'          => esc_html__('Select Category', 'happychild' ),
							'name'           => 'woocategory',
							'description'    => esc_html__('Select Category to display', 'happychild' ),
							'admin_label'    => true,
							'options' => $product_categories_select 
	                    ),

	                    array(
	                        'name' => 'number_post',
	                        'label' => 'Number post show',
	                        'type' => 'number_slider',
	                        'options' => array(
	                            'min' => 1,
	                            'max' => 24,
	                            'unit' => '',
	                            'show_input' => true
	                        ),
	                        'description' => 'Display number of post'
	                    ),
	                    array(
	                        'name' => 'columns',
	                        'label' => esc_html__('Grid Column' ,'happychild' ),
	                        'type' => 'number_slider',
	                        'options' => array(
	                            'min' => 1,
	                            'max' => 6,
	                            'unit' => '',
	                            'show_input' => true
	                        ),
	                        'description' => 'Display number of post'
	                    ),
	                )
	            )
	        )
	    );
	    $kc->add_map(
	         array(
	            'woo_deal_products' => array(
	                'name' => 'Deal Products',
	                'description' => esc_html__('Display Bestseller, Latest, Most Review ... in grid', 'happychild'),
	                'icon' => 'sl-paper-plane',
	                'category' => 'Woocommerce',

	                'params' => array(
	                	array(
							"type"  => "textfield",
							"label" => esc_html__("Title", 'happychild'),
							"name"  => "title",
							"value" => '',
							"admin_label" => true
						),
                        array(
							'type'           => 'multiple',
							'label'          => esc_html__('Select Category', 'happychild' ),
							'name'           => 'woocategory',
							'description'    => esc_html__('Select Category to display', 'happychild' ),
							'admin_label'    => true,
							'options' => $product_categories_select

	                    ),
	                    array(
	                        'name' => 'number_post',
	                        'label' => 'Number post show',
	                        'type' => 'number_slider',
	                        'admin_label'    => true,
	                        'options' => array(
	                            'min' => 1,
	                            'max' => 8,
	                            'unit' => '',
	                            'show_input' => true
	                        ),
	                        'description' => 'Display number of post'
	                    ),

	                    array(
	                        'name' => 'columns',
	                        'label' => esc_html__('Grid Column' ,'happychild' ),
	                        'type' => 'number_slider',
	                        'options' => array(
	                            'min' => 1,
	                            'max' => 6,
	                            'unit' => '',
	                            'show_input' => true
	                        ),
	                        'description' => 'Display number of post'
	                    ),
	                )
	            )
	        )
	    );

		$maps = apply_filters( 'happychild_element_kingcomposer_map', $maps ); 
	    $kc->add_map( $maps );
	} // end class


	add_action('init', 'happychild_kingcomposer_icons', 1000000 );
	function happychild_kingcomposer_icons(){
		global $kc;

		$kc->add_icon_source( get_template_directory_uri().'/css/icons.css' );
	
		wp_enqueue_style ( 'icons', get_template_directory_uri() . '/css/icons.css');
	}
	/**
	 * Admin Kc Icon
	 *
	 * Echoes the CSS for the Give post type icon.
	 *
	 * @since 1.0
	 * @global $post_type
	 * @global $wp_version
	 * @return void
	 */
	function kc_admin_icon() {
		global $wp_version;
		?>
		<!-- kc-admin-icon -->
		<style type="text/css" media="screen">

			<?php if( version_compare( $wp_version, '3.8-RC', '>=' ) || version_compare( $wp_version, '3.8', '>=' ) ) { ?>

			@font-face {
			  font-family: 'icomoon';
			  src:  url('<?php echo get_template_directory_uri() . '/fonts/icomoon.eot?1uhyji'; ?>');
			  src:  url('<?php echo get_template_directory_uri() . '/fonts/icomoon.eot?1uhyji#iefix'; ?>') format('embedded-opentype'),
			    url('<?php echo get_template_directory_uri() . '/fonts/icomoon.ttf?1uhyji'; ?>') format('truetype'),
			    url('<?php echo get_template_directory_uri() . '/fonts/icomoon.woff?1uhyji'; ?>') format('woff'),
			    url('<?php echo get_template_directory_uri() . '/fonts/icomoon.svg?1uhyji#icomoon'; ?>') format('svg');
			  font-weight: normal;
			  font-style: normal;
			}

			<?php }  ?>

		</style>
		<?php
	}
	add_action( 'admin_head', 'kc_admin_icon' );

?>