<?php

/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     WpOpal Team <engowordpress@gmail.com>
 * @copyright  Copyright (C) 2016 http://engotheme.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://engotheme.com
 * @support  http://engotheme.com/questions/
 */
    
    $atts  = array_merge( array(
        'number_post'  => 8,
        'columns'   => 4,
        'type'      => 'recent_products',
        'category'  => '',
    ), $atts); 

    extract( $atts );   

    $deals = array();
    $loop = wpopal_themer_woocommerce_query('deals', $number_post);
    $_id = wpopal_themer_makeid();
    $_count = 1;  
    switch ($columns) {
        case '5':
        case '4':
            $class_column='col-sm-6 col-md-3';
            $columns = 4; 
            break;
        case '3':
            $class_column='col-sm-4';
            break;
        case '2':
            $class_column='col-sm-6';
            break;
        default:
            $class_column='col-sm-12';
            break;
    }

    

    $_total =  $loop->found_posts;   

    if( $loop->have_posts()  ) {  ?> 
        <div class="widget woocommerce woo-deals">
        <?php if( !empty($title)): ?>
            <h3 class="widget-title"><span><?php echo esc_attr( $title ); ?></span></h3>
        <?php endif; ?>
            <div id="carousel-<?php echo esc_attr($_id); ?>" class="inner owl-carousel-play" data-ride="owlcarousel">   
                 <div class="owl-carousel rows-products" data-slide="<?php echo esc_attr($columns); ?>" data-pagination="false" data-navigation="true">
                    <?php 
                         while ( $loop->have_posts() ) : $loop->the_post();  
                            $product = wc_get_product();  
                             $time_sale = get_post_meta( $product->get_id(), '_sale_price_dates_to', true );

                       
                    ?>
            
                            <div class="product <?php if($_count%$columns==0) echo ' last'; ?>">
                                <div class="product-block">
                                    <figure class="image pull-left">
                                        <span class="sale-off">
                                            <?php
                                            $percentage = round( ( ( $product->get_regular_price() - $product->get_sale_price() ) / $product->get_regular_price() ) * 100 );
                                                echo '-' . trim( $percentage ) . '%';
                                             ?>
                                        </span>
                                        <?php echo trim( $product->get_image('image-widgets') ); ?>
                                        <?php if(happychild_fnc_theme_options('is-quickview', true)){ ?>
                                            <div class="quick-view hidden-xs">
                                                <a title="<?php esc_html_e( 'Quick view', 'happychild' ); ?>" href="#" class="quickview" data-productslug="<?php echo trim($product->get_slug()); ?>" data-toggle="modal" data-target="#opal-quickview-modal">
                                                   <i class="icon-quickview"> </i><span><?php esc_html_e( 'Quick view', 'happychild' ); ?></span>
                                                </a>
                                            </div>
                                        <?php } ?> 
                                        <div class="button-action button-groups clearfix">                
                                               
                                            <?php
                                                if( class_exists( 'YITH_WCWL' ) ) {
                                                    echo do_shortcode( '[yith_wcwl_add_to_wishlist]' );
                                                }
                                            ?>
                                             <?php if( class_exists( 'YITH_Woocompare' ) ) { ?>
                                                <?php
                                                    $action_add = 'yith-woocompare-add-product';
                                                    $url_args = array(
                                                        'action' => $action_add,
                                                        'id' => $product->get_id()
                                                    );
                                                ?>
                                                <div class="yith-compare">
                                                    <a title="<?php esc_html_e( 'Add to compare', 'happychild' ); ?>" href="<?php echo wp_nonce_url( add_query_arg( $url_args ), $action_add ); ?>" class="compare" data-product_id="<?php echo esc_attr($product->get_id()); ?>">
                                                        <em class="icon-two-arrows"></em>
                                                    </a>
                                                </div>
                                            <?php } ?>
                                            <?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
                                            <?php
                                                $action_add = 'yith-woocompare-add-product';
                                                $url_args = array(
                                                    'action' => $action_add,
                                                    'id' => $product->get_id()
                                                );
                                            ?>
                                        </div>     
                                    </figure>

                                    <div class="caption media-body">
                                        <div class="time">
                                            <?php if( $time_sale ) { ?>
                                            <div class="pts-countdown clearfix" data-countdown="countdown"
                                                 data-date="<?php echo date('m',$time_sale).'-'.date('d',$time_sale).'-'.date('Y',$time_sale).'-'. date('H',$time_sale) . '-' . date('i',$time_sale) . '-' .  date('s',$time_sale) ; ?>">
                                            </div>
                                            <?php } ?>
                                        </div>     
                                        <div class="deals-information text-center">
                                        <div class="rating clearfix ">
                                                <?php if ( $rating_html = wc_get_rating_html( $product->get_average_rating() ) ) { ?>
                                                    <div><?php echo trim( $rating_html ); ?></div>
                                                <?php }else{ ?>
                                                    <div class="star-rating"></div>
                                                <?php } ?>
                                            </div>                                                                                    
                                            
                                            <h3 class="name">
                                                <a href="<?php echo esc_url( get_permalink( $product->get_id() ) ); ?>"><?php echo esc_attr( $product->get_name() ); ?></a>
                                            </h3>

                                            
                                            <div class="price"><?php echo trim( $product->get_price_html() ); ?></div>      
                                        </div>                                   
                                    </div>
                                </div>
                            </div>
                         
                <?php 
                        $_count++; 
                    endwhile; 
                ?>
               <?php wp_reset_postdata(); ?>
                </div>
            </div>    
        </div>
 
    <?php } ?>

     
