<?php

  $files = get_post_meta(get_the_ID(), 'portfolio_file_advanced');

  $galleries = array();
  
  foreach( $files as $id ){
      $img_src = wp_get_attachment_image_src( $id, 'post-thumbnail');
      if( $img_src){
        $galleries[] = $img_src[0];
      }
  }
	 
	$image_url = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'thumbnails-medium' );
  $check = get_post_meta( get_the_ID(), 'portfolio_check', true ); 
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php if($check){ ?><div class="portfolio-fullwidth"> <?php }else { ?><div class="portfolio-half"> <?php } ?> 
    <div class="portfolio-thumb clearfix">
          	<div class="portfolio-gallery">
          		<?php if( has_post_thumbnail() ): ?>
          				<a href="<?php echo esc_url( $image_url[0]); ?>" data-rel="prettyPhoto[pp_gal]">
          					<?php the_post_thumbnail('full');?>
          				</a>
          		<?php endif; ?>
          	</div>
            <div class="gallery-thumb">
                <div class="row">

                    <?php foreach( $galleries as $_img ){ ?>
                      <div class="col-md-4 gallery-thumb-item">
                        <a href="<?php echo esc_url( $_img); ?>" data-rel="prettyPhoto[pp_gal]">
                          <img src="<?php echo esc_url_raw( $_img ) ?>" alt="<?php echo get_the_title(); ?>">
                        </a>
                      </div>
                    <?php } ?>
                </div>
            </div>
        <?php if(!$check){ ?>
            <?php wpopal_fnc_portfolio_information(); ?> 
        <?php } ?>
    </div> 

    <div class="portfolio-body">
        <div class="portfolio-content">
            <h1 class="title-post"><?php the_title(); ?></h1>
            <div class="portfolio-meta">
                <?php the_content(); ?> 
                <?php get_template_part( 'page-templates/parts/sharebox' ); ?>
            </div>
        </div>
        <?php if($check){ ?>
            <?php wpopal_fnc_portfolio_information(); ?> 
         <?php } ?>
    </div> 

 <?php { ?></div><?php } ?>       
</article>