<?php
/**
 * Shop breadcrumb
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/global/breadcrumb.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @package 	WooCommerce/Templates
 * @version     2.3.0
 * @see         woocommerce_breadcrumb()
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( ! empty( $breadcrumb ) ) {

	$delimiter = '<span> / </span>';
	printf( '%s', $wrap_before );

	$end = '' ;
	$title_page = '';
	foreach ( $breadcrumb as $key => $crumb ) {

		echo trim($before);

		if ( ! empty( $crumb[1] ) && sizeof( $breadcrumb ) !== $key + 1 ) {
			echo '<li><a href="' . esc_url( $crumb[1] ) . '">' . esc_html( $crumb[0] ) . '</a></li>';
			$title_page = $crumb[0];
		} else {
			echo '<li>'.esc_html( $crumb[0] ).'</li>';
			$title_page = $crumb[0];
		}

		echo trim( $after );

		if ( sizeof( $breadcrumb ) !== $key + 1 ) {
			echo trim( $delimiter );
		}

		$end = esc_html( $crumb[0] );
	}

	echo '<h2 class="active">';
	if( is_product()){
		esc_html_e('Our Shop', 'happychild');
	}elseif(is_product_category() || is_product_tag()){
		esc_html_e('Our Shop', 'happychild'); 
	}else{
		echo esc_html( $title_page );
	}
	echo '</h2>';

	printf( '%s', $wrap_after );

}
?>